$Ansible.Failed = $false
try {
    $Dns = Get-DnsServerSetting -All
    $DnsBefore = $Dns.Clone()

    $Dns.{{ dns_setting['property'] }} = {{ dns_setting['value'] }}
    Set-DNSServerSetting $Dns

    # Retrieve the DNS server's interface settings after making changes
    $DnsAfter = Get-DnsServerSetting -All

    if ($DnsBefore -ne $DnsAfter) {
        $Ansible.Changed = $true
        Write-Output "Property {{ dns_setting['property'] }} was update to {{ dns_setting['value'] }}"
    } else {
        $Ansible.Changed = $false
    }
}
catch {
    $Ansible.Failed = $true
    Write-Error "An error occurred: $_"
}